##************************************************************
##
## Example script to perform changes to a job request
##
##************************************************************

#
# Set input and output encoding to UTF-8
#
$OutputEncoding = [console]::InputEncoding = [console]::OutputEncoding = [System.Text.UTF8Encoding]::new()

#
# Read in the UTF-8 JSON from STDIN
#
$jobRequest = $Input | ConvertFrom-Json

#
# Modify the fields you want to modify
#
if ($jobRequest.request.queue -eq "default")
{
   $jobRequest.request.queue = "priority"
}

#
# Convert the object back to JSON
#
$jsonOutput = $jobRequest | ConvertTo-Json -Depth 8

#
# Output the object to STDOUT in UTF-8
#
Write-Host $jsonOutput -NoNewLine
